Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create notion user

POST/workspaces/{organizationId}/notion/users
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
userIdstringrequired
notionUserIdstringrequired
Responses
201

Notion user mapping created

idstringrequired
organizationIdstringrequired
userIdstringrequired
notionUserIdstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/notion/users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "string",
  "notionUserId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "userId": "string",
  "notionUserId": "string",
  "createdAt": "string"
}

Was this page helpful?